Subject: Re: Keeping the KEY and SIG typecodes active

From: Michael Richardson <[email-masked]>
Date: Tue, 17 Jun 2003 18:09:29 -0400

>>>>> "Scott" == Scott Rose <[email-masked]> writes:
    Scott> Topic: Keeping the KEY (typcode 24) and SIG (25) for transaction
    Scott> authentication only.

    Scott> With the typecode rollover of the KEY RR to the DNSKEY RR, we are
    Scott> left with 
    Scott> a three typecodes now retired. However, there is still a viable
    Scott> currently 
    Scott> deployed codebase and use for these record types.

  Yes, please don't make DHCPD, etc. change.
  This is a sensible proposal.

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Sam Weiler <[email-masked]>
Date: Tue, 17 Jun 2003 18:32:35 -0400 (EDT)

> Topic: Keeping the KEY (typcode 24) and SIG (25) for transaction
> authentication only.

draft-ietf-dnsext-dnssec-2535typecode-change-02.txt (which finally
cleared the i-d editor queue late this afternoon after being sent in
on Thursday morning) keeps SIG for SIG(0), but still deprecates KEY.
I'd appreciate it if folks would review the new sections of the draft
-- there's a change list at the top of the document.

Keeping KEY worries me a bit more, since it will appear in-zone and
some 2535-aware things pay attention to it.  Must we really keep it?
Do any of the SIG(0) _clients_ actually look at KEYs?

-- Sam